Subject: Re: ks/precompute-completion (was Re: What's cooking in git.git (Oct 2009, #04; Wed, 21))

From: A Large Angry SCM <[email-masked]>
Date: Thu, 22 Oct 2009 18:20:35 -0400

Sverre Rabbelier wrote:
> Heya,
> 
> On Thu, Oct 22, 2009 at 03:34, Stephen Boyd <[email-masked]> wrote:
>> Junio C Hamano wrote:
>>> * ks/precompute-completion (2009-10-05) 1 commit.
>>>   (merged to 'next' on 2009-10-14 at adf722a)
>>>  + Speedup bash completion loading
>>>
>>> Are people happy with this?
>> No. I now have rebase.sh, am.sh, etc. in my completion
> 
> I would really like it if running 'make && make install' in git.git
> would also build the completion script, I don't want to have to
> remember to run 'cd contrib/completion && make' every time we get new
> completion options :P.
> 

Please do not for completion on those that did not ask for it.